Package org.kapott.cryptalgs

## Class RSAPrivateCrtKey2

- java.lang.Object
- - org.kapott.cryptalgs.RSAPrivateCrtKey2

All Implemented Interfaces:
  `java.io.Serializable`, `java.security.Key`, `java.security.PrivateKey`, `javax.security.auth.Destroyable`

    public class RSAPrivateCrtKey2
    extends java.lang.Object
    implements java.security.PrivateKey

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RSAPrivateCrtKey2​(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger dP, java.math.BigInteger dQ, java.math.BigInteger qInv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAlgorithm()`
`java.math.BigInteger` `getAp()`
`java.math.BigInteger` `getAq()`
`java.math.BigInteger` `getdP()`
`java.math.BigInteger` `getdQ()`
`byte[]` `getEncoded()`
`java.lang.String` `getFormat()`
`java.math.BigInteger` `getP()`
`java.math.BigInteger` `getQ()`
`java.math.BigInteger` `getQInv()`
`void` `setAp​(java.math.BigInteger ap)`
`void` `setAq​(java.math.BigInteger aq)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.security.auth.Destroyable

`destroy, isDestroyed`

### Constructor Detail

#### RSAPrivateCrtKey2

    public RSAPrivateCrtKey2​(java.math.BigInteger p,
                             java.math.BigInteger q,
                             java.math.BigInteger dP,
                             java.math.BigInteger dQ,
                             java.math.BigInteger qInv)

### Method Detail

#### getP

    public java.math.BigInteger getP()

#### getQ

    public java.math.BigInteger getQ()

#### getdP

    public java.math.BigInteger getdP()

#### getdQ

    public java.math.BigInteger getdQ()

#### getQInv

    public java.math.BigInteger getQInv()

#### getEncoded

    public byte[] getEncoded()

Specified by:
  `getEncoded` in interface `java.security.Key`

#### getAlgorithm

    public java.lang.String getAlgorithm()

Specified by:
  `getAlgorithm` in interface `java.security.Key`

#### getFormat

    public java.lang.String getFormat()

Specified by:
  `getFormat` in interface `java.security.Key`

#### setAp

    public void setAp​(java.math.BigInteger ap)

#### getAp

    public java.math.BigInteger getAp()

#### setAq

    public void setAq​(java.math.BigInteger aq)

#### getAq

    public java.math.BigInteger getAq()